# TODO: Split library package
%define major 0
%define libname %mklibname tomcrypt %{major}
%define libprof %mklibname tomcrypt_prof %{major}
%define devname %mklibname tomcrypt -d

%define tommath_version 1.0

Summary:	Comprehensive, portable cryptographic toolkit
Name:		libtomcrypt
Version:	1.17
Release:	5
License:	Public Domain
Group:		System/Libraries
Url:		http://www.libtom.org/?page=features&newsitems=5&whatfile=crypt
Source0:	http://www.libtom.org/files/crypt-%{version}.tar.bz2
Patch0:		libtomcrypt-makefile.patch
BuildRequires:	ghostscript
BuildRequires:	libtool
BuildRequires:	tommath-devel >= %{tommath_version}

%description
A comprehensive, modular and portable cryptographic toolkit that
provides developers with a vast array of well known published block
ciphers, one-way hash functions, chaining modes, pseudo-random number
generators, public key cryptography and a plethora of other routines.

Designed from the ground up to be very simple to use. It has a modular
and standard API that allows new ciphers, hashes and PRNGs to be added
or removed without change to the overall end application. It features
easy to use functions and a complete user manual which has many source
snippet examples.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Comprehensive, portable cryptographic toolkit
Group:		System/Libraries

%description -n %{libname}
A comprehensive, modular and portable cryptographic toolkit that
provides developers with a vast array of well known published block
ciphers, one-way hash functions, chaining modes, pseudo-random number
generators, public key cryptography and a plethora of other routines.

Designed from the ground up to be very simple to use. It has a modular
and standard API that allows new ciphers, hashes and PRNGs to be added
or removed without change to the overall end application. It features
easy to use functions and a complete user manual which has many source
snippet examples.

%files -n %{libname}
%doc LICENSE
%{_libdir}/libtomcrypt.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libprof}
Summary:	Comprehensive, portable cryptographic toolkit
Group:		System/Libraries
Conflicts:	%{_lib}tomcrypt0 < 1.17-5

%description -n %{libprof}
A comprehensive, modular and portable cryptographic toolkit that
provides developers with a vast array of well known published block
ciphers, one-way hash functions, chaining modes, pseudo-random number
generators, public key cryptography and a plethora of other routines.

Designed from the ground up to be very simple to use. It has a modular
and standard API that allows new ciphers, hashes and PRNGs to be added
or removed without change to the overall end application. It features
easy to use functions and a complete user manual which has many source
snippet examples.

%files -n %{libprof}
%doc LICENSE
%{_libdir}/libtomcrypt_prof.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libprof} = %{EVRD}
Requires:	tommath-devel >= %{tommath_version}
Provides:	tomcrypt-devel = %{EVRD}

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%files -n %{devname}
%doc doc/crypt.pdf
%{_includedir}/tomcrypt
%{_libdir}/*.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .makefile

%build
export CFLAGS="%{optflags} -DLTM_DESC -I%{_includedir}/tommath"
%make LIBPATH=%{_libdir} EXTRALIBS="-ltommath" -f makefile.shared
%make LIBPATH=%{_libdir} -f makefile
#docs

%check
export CFLAGS="%{optflags} -DLTM_DESC -DUSE_LTM -I%{_includedir}/tommath"
%make LIBPATH=%{_libdir} EXTRALIBS="-ltommath" test
./test

%install
# There is no configure script that ships with libtomcrypt but it does
# have understand DESTDIR and its installs via that and the
# INSTALL_USER and INSTALL_GROUP environment variables.
export INSTALL_USER=$(id -un)
export INSTALL_GROUP=$(id -gn)
export CFLAGS="%{optflags} -DLTM_DESC -DUSE_LTM"

%makeinstall_std INCPATH=%{_includedir}/tomcrypt LIBPATH=%{_libdir} EXTRALIBS="-ltommath" -f makefile.shared
rm -f %{buildroot}%{_libdir}/*.a


%changelog

* Tue May 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.17-5
- (f29f62c) Split libtomcrypt_prof into individual package
- (f29f62c) Build with libtommath 1.0


